Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Interface Instrument

All Known Implementing Classes:
  AbstractInstrument, DbInstrumentInfo, MidiInstrumentInfo

    public interface Instrument

Method Summary
`java.lang.String` | `getEngine()` Gets the name of the sampler engine to be used to load the instrument.
`java.lang.String` | `getFilePath()` Returns the absolute path name of the instrument file.
`java.lang.String` | `getFormatFamily()` Returns the format family of the instrument.
`java.lang.String` | `getFormatVersion()` Returns the format version of the instrument.
`int` | `getInstrumentIndex()` Returns the index of the instrument in the instrument file.
`java.lang.Integer[]` | `getKeyMapping()`
`java.lang.Integer[]` | `getKeyswitchMapping()`
`java.lang.String` | `getName()` Gets the name of this instrument.
`void` | `setFilePath(java.lang.String path)` Sets the absolute path name of the instrument file.
`void` | `setInstrumentIndex(int idx)` Sets the index of the instrument in the instrument file.
`void` | `setName(java.lang.String name)` Sets the name of this instrument.

Method Detail

### getName

    java.lang.String getName()

  Gets the name of this instrument.

  Returns:
    The name of this instrument.

### setName

    void setName(java.lang.String name)

  Sets the name of this instrument.

  Parameters:
    `name` - The name of this instrument.

### getFilePath

    java.lang.String getFilePath()

  Returns the absolute path name of the instrument file.

  Returns:
    The absolute path name of the instrument file.

### setFilePath

    void setFilePath(java.lang.String path)

  Sets the absolute path name of the instrument file.

  Parameters:
    `path` - Specifies the absolute path name of the instrument file.

### getInstrumentIndex

    int getInstrumentIndex()

  Returns the index of the instrument in the instrument file.

  Returns:
    The index of the instrument in the instrument file.

### setInstrumentIndex

    void setInstrumentIndex(int idx)

  Sets the index of the instrument in the instrument file.

  Parameters:
    `idx` - The index of the instrument in the instrument file.

### getFormatFamily

    java.lang.String getFormatFamily()

  Returns the format family of the instrument.

### getFormatVersion

    java.lang.String getFormatVersion()

  Returns the format version of the instrument.

### getEngine

    java.lang.String getEngine()

  Gets the name of the sampler engine to be used to load the instrument.

  Returns:
    The name of the sampler engine to be used to load the instrument.

### getKeyMapping

    java.lang.Integer[] getKeyMapping()

### getKeyswitchMapping

    java.lang.Integer[] getKeyswitchMapping()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.